{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "defaultProject": "ngx-forms",
  "projects": {
    "ngx-forms-demo-app": {
      "root": "demo",
      "sourceRoot": "demo/src",
      "projectType": "application",
      "prefix": "upe",
      "schematics": {},
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/ngx-forms-demo-app",
            "index": "demo/src/index.html",
            "main": "demo/src/main.ts",
            "polyfills": "demo/src/polyfills.ts",
            "tsConfig": "demo/src/tsconfig.app.json",
            "assets": [
              "demo/src/favicon.ico",
              "demo/src/assets"
            ],
            "styles": [
              "demo/src/styles.scss"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "demo/src/environments/environment.ts",
                  "with": "demo/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "ngx-forms-demo-app:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "ngx-forms-demo-app:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "ngx-forms-demo-app:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "demo/src/test.ts",
            "polyfills": "demo/src/polyfills.ts",
            "tsConfig": "demo/src/tsconfig.spec.json",
            "karmaConfig": "demo/src/karma.conf.js",
            "styles": [
              "demo/src/styles.scss"
            ],
            "scripts": [],
            "assets": [
              "demo/src/favicon.ico",
              "demo/src/assets"
            ]
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "demo/src/tsconfig.app.json",
              "demo/src/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**",
              "src/**"
            ]
          }
        }
      }
    },
    "ngx-forms-demo-app-e2e": {
      "root": "e2e/",
      "projectType": "application",
      "architect": {
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "ngx-forms-demo-app:serve"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": "e2e/tsconfig.e2e.json",
            "exclude": [
              "**/node_modules/**",
              "src/**"
            ]
          }
        }
      }
    },
    "ngx-forms": {
      "root": "./",
      "sourceRoot": "src",
      "projectType": "library",
      "prefix": "upe",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "src/tsconfig.lib.json",
            "project": "ng-package.json"
          },
          "configurations": {
            "production": {
              "project": "ng-package.prod.json"
            }
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "./src/test.ts",
            "tsConfig": "src/tsconfig.spec.json",
            "karmaConfig": "karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "src/tsconfig.lib.json",
              "src/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**",
              "demo/**",
              "e2e/**"
            ]
          }
        }
      }
    }
  },
  "cli": {
    "packageManager": "yarn"
  }
}
